Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class KnownFailuresListInterview

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.interview.KnownFailuresListInterview

    public class KnownFailuresListInterview

extends Interview

This interview collects the "kfl" test filter parameters. It is normally used as one of a series of sub-interviews that collect the parameter information for a test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Field Summary

Fields inherited from class com.sun.interview.Interview
`EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, helpSetFactory, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`KnownFailuresListInterview(InterviewParameters parent)` Create an interview.

Method Summary
`KnownFailuresList` | `getKfl()`
`java.io.File[]` | `getKflFiles()`
`boolean` | `isKflEnabled()` According to the interview, does the user want to use a KFL?
`protected void` | `setCustomKflFiles(java.io.File[] files)`
`void` | `setKflFiles(java.io.File[] files)`

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clear, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, save, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnownFailuresListInterview

    public KnownFailuresListInterview(InterviewParameters parent)
                               throws Interview.Fault

  Create an interview.

  Parameters:
    `parent` - The parent interview of which this is a child.
  Throws:
    `Interview.Fault` - if there is a problem while creating the interview.

Method Detail

### setKflFiles

    public void setKflFiles(java.io.File[] files)

### getKflFiles

    public java.io.File[] getKflFiles()

### setCustomKflFiles

    protected void setCustomKflFiles(java.io.File[] files)

### getKfl

    public KnownFailuresList getKfl()

### isKflEnabled

    public boolean isKflEnabled()

  According to the interview, does the user want to use a KFL?

  Returns:
    True if the user has indicated that they want to use a KFL, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.